<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>

    <link href="../css/bootstrap-combined.no-icons.min.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/prism.css" rel="stylesheet" media="all"/>
    <link href="../css/template.css" rel="stylesheet" media="all"/>
    
    <!--[if lt IE 9]>
    <script src="../js/html5.js"></script>
    <![endif]-->
    <script src="../js/jquery-1.11.0.min.js"></script>
    <script src="../js/ui/1.10.4/jquery-ui.min.js"></script>
    <script src="../js/bootstrap.min.js"></script>
    <script src="../js/jquery.smooth-scroll.js"></script>
    <script src="../js/prism.min.js"></script>
    <!-- TODO: Add http://jscrollpane.kelvinluck.com/ to style the scrollbars for browsers not using webkit-->
    
    <link rel="shortcut icon" href="../images/favicon.ico"/>
    <link rel="apple-touch-icon" href="../images/apple-touch-icon.png"/>
    <link rel="apple-touch-icon" sizes="72x72" href="../images/apple-touch-icon-72x72.png"/>
    <link rel="apple-touch-icon" sizes="114x114" href="../images/apple-touch-icon-114x114.png"/>
</head>
<body>

<div class="navbar navbar-fixed-top">
    <div class="navbar-inner">
        <div class="container">
            <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                <i class="icon-ellipsis-vertical"></i>
            </a>
            <a class="brand" href="../index.html">API Documentation</a>

            <div class="nav-collapse">
                <ul class="nav pull-right">
                                        <li class="dropdown" id="charts-menu">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                            Charts <b class="caret"></b>
                        </a>
                        <ul class="dropdown-menu">
                            <li>
                                <a href="../graphs/class.html">
                                    <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                </a>
                            </li>
                        </ul>
                    </li>
                    <li class="dropdown" id="reports-menu">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                            Reports <b class="caret"></b>
                        </a>
                        <ul class="dropdown-menu">
                            <li>
                                <a href="../reports/errors.html">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <i class="icon-list-alt"></i>&#160;Errors <span class="label label-info pull-right">0</span>
                                </a>
                            </li>
                            <li>
                                <a href="../reports/markers.html">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <i class="icon-list-alt"></i>&#160;Markers <span class="label label-info pull-right">0</span>
                                </a>
                            </li>
                            <li>
                                <a href="../reports/deprecated.html">
                                                                                                            <i class="icon-list-alt"></i>&#160;Deprecated <span class="label label-info pull-right">0</span>
                                </a>
                            </li>
                        </ul>
                    </li>
                </ul>
            </div>
        </div>
    </div>
    <!--<div class="go_to_top">-->
    <!--<a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>-->
    <!--</div>-->
</div>

<div id="___" class="container-fluid">
        <section class="row-fluid">
        <div class="span2 sidebar">
                                <div class="accordion" style="margin-bottom: 0">
        <div class="accordion-group">
            <div class="accordion-heading">
                                    <a class="accordion-toggle " data-toggle="collapse" data-target="#namespace-576878538"></a>
                                <a href="../namespaces/default.html" style="margin-left: 30px; padding-left: 0">\</a>
            </div>
            <div id="namespace-576878538" class="accordion-body collapse in">
                <div class="accordion-inner">

                    
                    <ul>
                                                                                                    <li class="class"><a href="../classes/codeBlocks.html">codeBlocks</a></li>
                                            </ul>
                </div>
            </div>
        </div>
    </div>

        </div>
    </section>
    <section class="row-fluid">
        <div class="span10 offset2">
            <div class="row-fluid">
                <div class="span8 content namespace">
                    <nav>
                                                
                                            </nav>
                    <h1><small></small>\</h1>

                    
                    
                    
                                        <h2>Classes</h2>
                    <table class="table table-hover">
                                            <tr>
                            <td><a href="../classes/codeBlocks.html">codeBlocks</a></td>
                            <td><em>Classe codeBlocks.</em></td>
                        </tr>
                                        </table>
                                    </div>

                <aside class="span4 detailsbar">
                    <dl>
                        <dt>Namespace hierarchy</dt>
                        <dd class="hierarchy">
                                                                                                                                                <div class="namespace-wrapper">\</div>
                        </dd>
                    </dl>
                </aside>
            </div>

            
                        <div class="row-fluid">
                <section class="span8 content namespace">
                    <h2>Functions</h2>
                </section>
                <aside class="span4 detailsbar"></aside>
            </div>

                                        <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_changePassword" name="method_changePassword" class="anchor"></a>
            <article class="method">
                <h3 class=" ">changePassword()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">changePassword() : boolean</pre>
                <p><em>Método para efetuar a mudança de senha do usuário.</em></p>
                

                
                
                                    <h4>Returns</h4>
                    boolean
                                    				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                    <dt>File</dt>
                    <dd><a href=""><div class="path-wrapper"></div></a></dd>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr>
                        <th>
                            package
                        </th>
                        <td>
                                                                                            <p>trabalho</p>
                                                    </td>
                    </tr>
                            </table>
        </aside>
    </div>

                                        <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_checkInitialLogin" name="method_checkInitialLogin" class="anchor"></a>
            <article class="method">
                <h3 class=" ">checkInitialLogin()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">checkInitialLogin() </pre>
                <p><em>Vai conferir se o há um usuário logado e, dependendo da resposta vai requisitar o login/registo ou a pagina de imagens do usuário.</em></p>
                

                
                
                				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                    <dt>File</dt>
                    <dd><a href=""><div class="path-wrapper"></div></a></dd>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr>
                        <th>
                            package
                        </th>
                        <td>
                                                                                            <p>Default</p>
                                                    </td>
                    </tr>
                            </table>
        </aside>
    </div>

                                        <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_createSlider" name="method_createSlider" class="anchor"></a>
            <article class="method">
                <h3 class=" ">createSlider()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">createSlider() </pre>
                <p><em>Método para pegar imagens e legendas do usuário e utilizá-las no slider.</em></p>
                

                
                
                				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                    <dt>File</dt>
                    <dd><a href=""><div class="path-wrapper"></div></a></dd>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr>
                        <th>
                            package
                        </th>
                        <td>
                                                                                            <p>trabalho</p>
                                                    </td>
                    </tr>
                            </table>
        </aside>
    </div>

                                        <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_deleteImgs" name="method_deleteImgs" class="anchor"></a>
            <article class="method">
                <h3 class=" ">deleteImgs()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">deleteImgs() </pre>
                <p><em>Método que vai apagar todas as imagens enviadas pelo usuário.</em></p>
                

                
                
                				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                    <dt>File</dt>
                    <dd><a href=""><div class="path-wrapper"></div></a></dd>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr>
                        <th>
                            package
                        </th>
                        <td>
                                                                                            <p>trabalho</p>
                                                    </td>
                    </tr>
                            </table>
        </aside>
    </div>

                                        <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_finalChange" name="method_finalChange" class="anchor"></a>
            <article class="method">
                <h3 class=" ">finalChange()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">finalChange(boolean  <span class="argument">$changeModal</span>) </pre>
                <p><em>Método para habilitar modal em caso de sucesso ou erro na troca de senha do usuário.</em></p>
                

                                    <h4>Parameters</h4>
                    <table class="table table-condensed table-hover">
                                                    <tr>
                                <td>boolean</td>
                                <td>$changeModal </td>
                                <td><p>Vai revelar se a mudança de senha foi um sucesso ou uma falha, e, dependendo da resposta, habilitará seu respectivo modal.</p></td>
                            </tr>
                                            </table>
                
                
                				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                    <dt>File</dt>
                    <dd><a href=""><div class="path-wrapper"></div></a></dd>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr>
                        <th>
                            package
                        </th>
                        <td>
                                                                                            <p>trabalho</p>
                                                    </td>
                    </tr>
                            </table>
        </aside>
    </div>

                                        <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_finalLog" name="method_finalLog" class="anchor"></a>
            <article class="method">
                <h3 class=" ">finalLog()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">finalLog(boolean  <span class="argument">$eM</span>) </pre>
                <p><em>Método para habilitar o modal de erro do login.</em></p>
                

                                    <h4>Parameters</h4>
                    <table class="table table-condensed table-hover">
                                                    <tr>
                                <td>boolean</td>
                                <td>$eM </td>
                                <td><p>Vai revelar se existe a necessidade de habilitar o modal ou não.</p></td>
                            </tr>
                                            </table>
                
                
                				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                    <dt>File</dt>
                    <dd><a href=""><div class="path-wrapper"></div></a></dd>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr>
                        <th>
                            package
                        </th>
                        <td>
                                                                                            <p>trabalho</p>
                                                    </td>
                    </tr>
                            </table>
        </aside>
    </div>

                                        <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_finalReg" name="method_finalReg" class="anchor"></a>
            <article class="method">
                <h3 class=" ">finalReg()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">finalReg(boolean  <span class="argument">$eM</span>) </pre>
                <p><em>Método para habilitar o modal de sucesso ou erro do registro.</em></p>
                

                                    <h4>Parameters</h4>
                    <table class="table table-condensed table-hover">
                                                    <tr>
                                <td>boolean</td>
                                <td>$eM </td>
                                <td><p>Vai revelar se o cadastro foi um sucesso ou mal-sucedido.</p></td>
                            </tr>
                                            </table>
                
                
                				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                    <dt>File</dt>
                    <dd><a href=""><div class="path-wrapper"></div></a></dd>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr>
                        <th>
                            package
                        </th>
                        <td>
                                                                                            <p>trabalho</p>
                                                    </td>
                    </tr>
                            </table>
        </aside>
    </div>

                                        <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_finalUpload" name="method_finalUpload" class="anchor"></a>
            <article class="method">
                <h3 class=" ">finalUpload()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">finalUpload(boolean  <span class="argument">$uploadModal</span>) </pre>
                <p><em>Método para habilitar modal em caso de sucesso ou erro no upload de imagem e legenda.</em></p>
                

                                    <h4>Parameters</h4>
                    <table class="table table-condensed table-hover">
                                                    <tr>
                                <td>boolean</td>
                                <td>$uploadModal </td>
                                <td><p>Vai revelar se o upload foi um sucesso ou uma falha, e, dependendo da resposta, habilitará seu respectivo modal.</p></td>
                            </tr>
                                            </table>
                
                
                				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                    <dt>File</dt>
                    <dd><a href=""><div class="path-wrapper"></div></a></dd>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr>
                        <th>
                            package
                        </th>
                        <td>
                                                                                            <p>trabalho</p>
                                                    </td>
                    </tr>
                            </table>
        </aside>
    </div>

                                        <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_loginUser" name="method_loginUser" class="anchor"></a>
            <article class="method">
                <h3 class=" ">loginUser()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">loginUser(boolean  <span class="argument">$noDLLog</span>) : boolean</pre>
                <p><em>Método para efetuar login.</em></p>
                

                                    <h4>Parameters</h4>
                    <table class="table table-condensed table-hover">
                                                    <tr>
                                <td>boolean</td>
                                <td>$noDLLog </td>
                                <td><p>Vai permitir ou não a ocorrência do login para garantir que o mesmo seja sendo efetuado sem o uso de um link direto.</p></td>
                            </tr>
                                            </table>
                
                
                                    <h4>Returns</h4>
                    boolean
                                    				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                    <dt>File</dt>
                    <dd><a href=""><div class="path-wrapper"></div></a></dd>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr>
                        <th>
                            package
                        </th>
                        <td>
                                                                                            <p>trabalho</p>
                                                    </td>
                    </tr>
                            </table>
        </aside>
    </div>

                                        <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_logoutUser" name="method_logoutUser" class="anchor"></a>
            <article class="method">
                <h3 class=" ">logoutUser()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">logoutUser() </pre>
                <p><em>Método para encerrar a &#039;sessão&#039; (na verdade, o cookie de login).</em></p>
                

                
                
                				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                    <dt>File</dt>
                    <dd><a href=""><div class="path-wrapper"></div></a></dd>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr>
                        <th>
                            package
                        </th>
                        <td>
                                                                                            <p>trabalho</p>
                                                    </td>
                    </tr>
                            </table>
        </aside>
    </div>

                                        <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_registerUser" name="method_registerUser" class="anchor"></a>
            <article class="method">
                <h3 class=" ">registerUser()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">registerUser(boolean  <span class="argument">$noDLReg</span>) : boolean</pre>
                <p><em>Método para efetuar cadastro.</em></p>
                

                                    <h4>Parameters</h4>
                    <table class="table table-condensed table-hover">
                                                    <tr>
                                <td>boolean</td>
                                <td>$noDLReg </td>
                                <td><p>Vai permitir ou não a ocorrência do login para garantir que o mesmo seja sendo efetuado sem o uso de um link direto.</p></td>
                            </tr>
                                            </table>
                
                
                                    <h4>Returns</h4>
                    boolean
                                    				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                    <dt>File</dt>
                    <dd><a href=""><div class="path-wrapper"></div></a></dd>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr>
                        <th>
                            package
                        </th>
                        <td>
                                                                                            <p>trabalho</p>
                                                    </td>
                    </tr>
                            </table>
        </aside>
    </div>

                                        <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_uploadImage" name="method_uploadImage" class="anchor"></a>
            <article class="method">
                <h3 class=" ">uploadImage()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">uploadImage() : boolean</pre>
                <p><em>Método para efetuar upload de imagens e legendas e armazenar na pasta do usuário.</em></p>
                

                
                
                                    <h4>Returns</h4>
                    boolean
                                    				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                    <dt>File</dt>
                    <dd><a href=""><div class="path-wrapper"></div></a></dd>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr>
                        <th>
                            package
                        </th>
                        <td>
                                                                                            <p>trabalho</p>
                                                    </td>
                    </tr>
                            </table>
        </aside>
    </div>

                            
        </div>
    </section>

    <footer class="row-fluid">
        <section class="span10 offset2">
            <section class="row-fluid">
                <section class="span10 offset1">
                    <section class="row-fluid footer-sections">
                        <section class="span4">
                                                        <h1><i class="icon-code"></i></h1>
                            <div>
                                <ul>
                                                                    </ul>
                            </div>
                        </section>
                        <section class="span4">
                                                        <h1><i class="icon-bar-chart"></i></h1>
                            <div>
                                <ul>
                                    <li><a href="../graphs/class.html">Class Hierarchy Diagram</a></li>
                                </ul>
                            </div>
                        </section>
                        <section class="span4">
                                                        <h1><i class="icon-pushpin"></i></h1>
                            <div>
                                <ul>
                                    <li><a href="../reports/errors.html">Errors</a></li>
                                    <li><a href="../reports/markers.html">Markers</a></li>
                                </ul>
                            </div>
                        </section>
                    </section>
                </section>
            </section>
            <section class="row-fluid">
                <section class="span10 offset1">
                    <hr />
                    Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor </a> and authored
                    on October 30th, 2018 at 01:09.
                </section>
            </section>
        </section>
    </footer>
</div>

</body>
</html>
